%define current_version 0.0.24
%define debug_package %{nil}

Name:		c2v-convert
Version:	%{current_version}
Release:        1%{?dist}
Summary:	Converts OVZ container to Virtual Machine

Group:		Tools
License:	OpenVZ
URL:		https://virtuozzo.com
Source0:	%{name}-%{version}.tar.bz2

Requires:	python3
Requires:	prlhddconv
Requires:   qemu-img-vz
Requires:	bash
Requires:	libguestfs-appliance9
Requires:   prlctl
BuildArch: noarch

%description
c2v-convert converts OpenVZ containers to Virtual Machines

%prep
%setup -q
sed -i s/A.B.X/%{version}-%{release}/ main.py


%build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_sysconfdir}/vz
install -m 0755 main.py %{buildroot}/%{_bindir}/c2v-convert
install -m 0666 c2v.conf %{buildroot}/%{_sysconfdir}/vz/c2v.conf

%files
%{_bindir}/c2v-convert
%config(noreplace) %{_sysconfdir}/vz/c2v.conf

%changelog
* Thu Dec 05 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.24-1
 - Add the executiion time statistics to report. PSBM-159904
 - Add ability to detect ct_app templates PSBM-159901
 
* Mon Dec 02 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.23-1
 - e2fsck - enhance valid return codes. PSBM-159866
 - Update help message with Ask me later prompt for CEP. PSBM-159858

* Sun Dec 01 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.22-2
 - Add missing config file to package PSBM-159856

* Thu Nov 28 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.22-1
 - Extend maximum timeout to 6 hours PSBM-159840
 - Gather and submit CEP data PSBM-159826
 - CEP submission dialogue PSBM-159825

* Wed Nov 27 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.21-1
 - Add non UTF text client handling. PSBM-159824
 - Extra debug iutput. 
 - Force PATH variable for RHEL like distros. 

 * Mon Nov 25 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.20-2
 - Check selinux config exists PSBM-159707

* Thu Nov 21 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.20-1
 - Ensure selinux will be disabled for qemu-ga PSBM-159664

* Tue Nov 19 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.19-1
 - Handle legacy containers without ct-presets. Remove ct-presets before conversion. PSBM-159603

* Fri Nov 15 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.18-4
 - Split line for better reading PSBM-159384

* Thu Oct 24 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.18-3
 - Fix typos according PSBM-159384,PSBM-159363

* Sat Oct 12 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.18-1
 - Add handling inconsistent container states.

* Sat Oct 12 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.17-1
 - Ensure fstab created with newline symbol during c2v-convert PSBM-159110
 - Add the state manipulation logic. PSBM-159149

* Fri Oct 11 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.16-1
 - Remove enforcing container defaults for VM keeping VM defaults. PSBM-158986
 - Change the prompt behavior for multiple containers PSBM-158989
 
* Thu Oct 10 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.15-1
 - Fix the Ubuntu18 Kernel installation. PSBM-158976
 - Set the custom temp folder for conversion. PSBM-158956
 - Fix the improper boot VM configuration on RPM based distros with UEFi based host PSBM-158965 PSBM-158965
 - Remove redundant comma. PSBM-158784
 - Please add comment to the log "Calling sgdisk to restore master GPT after shift" PSBM-158956
 
* Thu Oct 03 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.14-1
 - PSBM-158784 Correct a sentence appearing when using the c2v-convert tool.

* Tue Sep 17 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.13-1
 - PSBM-158648 Changed the network configuration algorithm. Ensured enhanced parameters will be moved to the VM.

* Mon Sep 16 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.12-2
 - Introduce snapshots handling. PSBM-158560
 - Update parameter description in the c2v tool PSBM-158647

* Mon Sep 16 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.11-1
 - PSBM-158593 Fixed the bringing venet routed interfaces.
 - PSBM-158431 Fix the UUID handling in script.

* Thu Sep 12 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.10-1
 - No root password reset during conversion
 - Add VNC password setting option
 - Remove meaning less WARNING from stoppping venv
 - Fix assigning static IPs for VM

* Thu Sep 5 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.9-2
 - Use appliance9 for c2v according to PSBM-158514
 - Ensure script will work no matter libguest appliance in place PSBM-158514
 - Add debug log for appliance pick

* Thu Sep 5 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.8-1
 - Disable unachievable targets after upgrade PSBM-157906

* Wed Sep 4 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.7-1
 - Check modules dependencies existence
 - Fix Centos7 detection issue

* Thu Sep 3 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.6-1
 - Remove executable flag from /etc/init.d/modules_dep.sh PSBM-157919
 - Add warning if CT name is too long to creating VM with C2V_ prefix
 - Edit converted VM prefix from C2VM_ to C2V_
 - Check that the VM name does not booked, before creating a new VM
 - Fix RHEL-9 family booting PSBM-157725

* Thu Aug 29 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.5-1
 - Fix non-Unicode output
 
* Sat Aug 17 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.4-1
 - Enhance timeouts 
 - Fix resetting the password for deb like systems
 - Fix getty start for Debian/Ubuntu
 - Fix booting the Ubuntu22/Ubuntu20/Debian11 PSBM-157723
 - Fix the environment for legacy debians PSBM-157721

* Wed Aug 15 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.3-1
 - CT image has to be validated/repaired before conversion PSBM-157832
 - Introduce batch option PSBM-157819
 - Improve c2v-convert logging output PSBM-157814
 - c2v-convert does not wait for the resulting VM to restart PSBM-157817
 - Rename the source container to converted_$ct-name after c2v-convert finishes conversion successfully PSBM-157815
 - Change default timeout for v2v, and make it adjustable PSBM-15782
 - Prompt user for confirmation PSBM-157821

* Sun Aug 11 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.2-1
 - Enhanced logging logic
 - Move disk to VM home folder
 - Block conversion in case it is not a container PSBM-157820
 - Fix the VM naming algorithm PSBM-157824
 - Switch to separate CT conversion target.

* Wed Aug 07 2024 Artem Vasiliev <artem.vasiliev@virtuozzo.com> 0.0.1-1
 - Initial build PSBM-156703
